Bug 1265192 (CVE-2015-4509) - CVE-2015-4509 Mozilla: Use-after-free while manipulating HTML media content (MFSA 2015-106)
Summary: CVE-2015-4509 Mozilla: Use-after-free while manipulating HTML media content (...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-4509
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1261782
TreeView+ depends on / blocked
 
Reported: 2015-09-22 11:05 UTC by Prasad J Pandit
Modified: 2021-02-17 04:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-01 14:04:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1834 0 normal SHIPPED_LIVE Critical: firefox security update 2015-09-24 22:40:01 UTC
Red Hat Product Errata RHSA-2015:1852 0 normal SHIPPED_LIVE Important: thunderbird security update 2015-10-01 17:25:51 UTC

Description Prasad J Pandit 2015-09-22 11:05:30 UTC
An anonymous researcher reported, via HP's Zero Day Initiative, a use-after-free vulnerability with HTML media elements on a page during script manipulation of the URI table of these elements. This results in a potentially exploitable crash.

External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2015-106/

Comment 1 Martin Prpič 2015-09-22 12:05:13 UTC
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.

Comment 2 errata-xmlrpc 2015-09-22 18:18:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1834 https://rhn.redhat.com/errata/RHSA-2015-1834.html

Comment 5 errata-xmlrpc 2015-10-01 13:26:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1852 https://rhn.redhat.com/errata/RHSA-2015-1852.html


Note You need to log in before you can comment on or make changes to this bug.